Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.util
Class FileRandomAccessStorage

    java.lang.Object
      |
      +--java.io.RandomAccessFile
            |
            +--com.sun.jimi.util.FileRandomAccessStorage

public final class FileRandomAccessStorage
extends java.io.RandomAccessFile
implements RandomAccessStorage

Simple implementation of RandomAccessStorage using a RandomAccessFile for on-disk storage.

Inner Class Summary
`protected class` | `FileRandomAccessStorage.InputStreamWrapper`
`protected class` | `FileRandomAccessStorage.OutputStreamWrapper`

Field Summary
`protected java.io.File` | `file`
`protected java.io.InputStream` | `in`
`protected java.io.OutputStream` | `out`

Constructor Summary
`FileRandomAccessStorage(java.io.File file)`

Method Summary
`java.io.InputStream` | `asInputStream()`
`java.io.OutputStream` | `asOutputStream()`
`protected void` | `finalize()`
`void` | `seek(long pos)` Overriding but just calling the super method, hopefully this will help optimizeit track things.
`void` | `skip(int bytes)`

Methods inherited from class java.io.RandomAccessFile
`close, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected java.io.InputStream in

### out

    protected java.io.OutputStream out

### file

    protected java.io.File file

Constructor Detail

### FileRandomAccessStorage

    public FileRandomAccessStorage(java.io.File file)
                            throws java.io.IOException

Method Detail

### asOutputStream

    public java.io.OutputStream asOutputStream()

  Specified by:
    asOutputStream in interface RandomAccessStorage

### asInputStream

    public java.io.InputStream asInputStream()

  Specified by:
    asInputStream in interface RandomAccessStorage

### skip

    public void skip(int bytes)
              throws java.io.IOException

  Specified by:
    skip in interface RandomAccessStorage

### seek

    public void seek(long pos)
              throws java.io.IOException

  Overriding but just calling the super method, hopefully this will help optimizeit track things.
  Specified by:
    seek in interface RandomAccessStorage
  Overrides:
    seek in class java.io.RandomAccessFile

### finalize

    protected void finalize()

  Overrides:
    finalize in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD